Subject: [MOBILE-IP] GRE key field

From: Tom Hiller <[email-masked]>
Date: Wed, 9 Feb 2000 21:18:17 -0600

To the authors of draft-meyer-gre-update-03.txt

Based on Mobile IP email between Tony Li and Pat Calhoun it appears that the Key
field of the GRE tunnel has a highly uncertain fate. However, the cdma2000
wireless community has plans to use this field, and would like for it to not
perish.  I assume at least one issue is existing RFC text suggesting the "Key"
as being involved with authentication. However, cdma2000 use is to allow the
encapsulator to identify the source of the payload to the receiver.

Tony suggested some alternate wording may help. It also occurred to me that a
field name not related to security might be helpful, so here goes:

Original text:

  Key (4 octets)

      The Key field contains a four octet number which was inserted by
      the encapsulator.  It may be used by the receiver to authenticate
      the source of the packet.  The techniques for determining
      authenticity are outside of the scope of this document.  The Key
      field is only present if the Key Present field is set to 1.

Proposal:

  Index (4 octets)

      The Index field contains a four octet number which was inserted by
      the encapsulator.  The encapsulator may use this field to identify
      the source of the GRE payload to the receiver.  The techniques
      for determining the identity are outside of the scope of this
      document. The Index field is only present if the Index Present field
      is set to 1.

The cdma2000 architecture would use GRE independent of whether a user invokes
Mobile IP or not, i.e.  the user does not see or control the GRE tunnel. In this
sense, the field has uses outside of Mobile IP and is generally useful to (some)
GRE users.

Comments?

Thanks,
Tom Hiller

---

From: "Kent K. Leung" <[email-masked]>
Date: Wed, 9 Feb 2000 19:56:21 -0800

Note that the GRE Sequence Number may also be needed.

draft-ietf-mobileip-3gwireless-ext-02.txt:

5.0 GRE Encapsulation

   GRE encapsulation as described in [3] shall be supported during user
   data transmission. A new protocol type might be required to support
   the link layer protocol defined for the third generation cdma2000
   network. The Key field shall be required and its value shall be same
   as the one from the Session Specific Extension as described above.
   The sequence number may be required, depending on the requirement of
   the protocol encapsulated within the GRE frame.

-- Kent --